﻿using System;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Statistics;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            Random random = new Random(0);

            double[] valueArray1 = DataGen.RandomNormal(random, 350, 85, 5);
            double[] valueArray2 = DataGen.RandomNormal(random, 420, 87, 3);
            double[] valueArray3 = DataGen.RandomNormal(random, 230, 92, 3);

            Population population1 = new Population(valueArray1);
            Population population2 = new Population(valueArray2);
            Population population3 = new Population(valueArray3);

            Population[] poulationArray      = new Population[] { population1, population2, population3 };
            string[]     populationNameArray = { "그룹 1", "그룹 2", "그룹 3" };

            plot.AddPopulations(poulationArray);

            plot.XAxis.Grid(false);

            plot.XTicks(populationNameArray);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}